package main

import (
	"log"
	"net/http"
	"net/http/httputil"
	"net/url"
	"os"
	"strconv"
)

func main() {

	vip := os.Getenv("REVERSEURL")
	pport := os.Getenv("PROXYPORT")
	sensitivity := os.Getenv("TRIGGER")
	maturity := os.Getenv("SENIORITY")

	log.Println("Reverse path is: ", vip)
	log.Println("Reverse port is: ", pport)

	remote, err := url.Parse(vip)
	if err != nil {
		panic(err)
	}

	ProxyFlow.sensitivity, err = strconv.ParseFloat(sensitivity, 64)
	if err != nil {
		ProxyFlow.sensitivity = 0.5
	}
	log.Println("Trigger is: ", ProxyFlow.sensitivity)

	Maturity, err = strconv.ParseInt(maturity, 10, 64)
	if err != nil {
		Maturity = 1024
	}
	log.Println("Minimum request to learn: ", Maturity)

	proxy := httputil.NewSingleHostReverseProxy(remote)
	http.HandleFunc("/", handler(proxy))
	err = http.ListenAndServe(pport, nil)
	if err != nil {
		panic(err)
	}
}
